##################################################################################
#set the number of requests
#For large number of requests, also enlarge the value of MAX_CP variable in file at dsred.h (folder diffserv)
set rqst 100


#RandomVariable for selecting the time at which the request is sent
set rvTime [new RandomVariable/Uniform]
$rvTime set min_ $START_TIME
$rvTime set max_ $STOP_TIME

#RandomNumberGenerator for selecting the time at which the request starts
set rvStartTime [new RNG]

#RandomNumberGenerator for selecting the time at which the request ends
set rvStopTime [new RNG]


#create a  RandomNumberGenerator for node selection
set rvNODE [new RNG]

#create a RandomNumberGenerator for the number of requests of each node
set rvRQST [new RNG]

#create a RandomNumberGenerator for the bandwidth of the request
set rvBWD [new RNG]


##########################################
#p0 random requests with random bandwidth
#the number of requests
set nrvRQST [$rvRQST integer $rqst]
for {set i 0} {$i<$nrvRQST} {incr i} {

  #the id of the node
  set j 0

  #select the endnode of the request
  #set ndnode [$rvNODE integer 4]
  set ndnode 1

  #select the bandwidth of the request
  #set bwd [$rvBWD integer 10000001]
  set bwd [$rvBWD integer 5000000]

  set x [$rvTime value]
  set y [$rvStartTime integer 11]
  set z [$rvStopTime integer 11]

  #puts "hello x $x"
  #puts "hello y $y"
  #puts "hello z $z"

  if {[expr $j-$ndnode]==0} {
  } elseif {$x<$y} {
    #puts "hello"
    if {$y<$z} {$ns at $x "$p0 sendto $ndnode $bwd $y $z"}
  }

}


