/***************************************************************************
  Research Academic Computer Technology Institute,
  61 Riga Feraiou Str,26221 Patras ,Greece &
  Department of Computer Engineering and Informatics,
  University of Patras, 26500 Rion ,Patras,Greece

  Research Unit 6

  project name:Bandwidth Broker
  project team:Christos Bouras
               Dimitris Primpas
	       Kostas Stamos
	       Ioannis Pappas

  date:20 January 2005
  updated:no
  contact:bouras@cti.gr,primpas@cti.gr,stamos@cti.gr,pappasj@ceid.upatras.gr

*****************************************************************************/

/* Headers */

/* add this header as a header of ns  */
#ifndef ns_DistributedBBbase_h
#define ns_DistributedBBbase_h

#include "agent.h"
#include "tclcl.h"
#include "packet.h"
#include "address.h"
#include "ip.h"
#include "route.h"
#include "node.h"

#include "BBbase.h"
#include <list.h>



/*****************************************************
 class name:DistributedBBbaseAgent
 mission:creates a new Agent which handles requests
 	 for bandwith in the domain in which he is
	 responsible
******************************************************/
class DistributedBBbaseAgent : public BBbaseAgent {
public:
	/*constructor*/
	DistributedBBbaseAgent();

	/*class functions*/
	virtual int command(int argc, const char*const* argv);
        virtual void recv(Packet*, Handler*);

protected:
	bool all_msg_snt; /*this variable solves the next problem:*/
			  /*if the first node which is asked , answers before a  question is send*/
			  /*to the second node, then the list becomes empty.If you check only if */
			  /*the list is empty, fix bwd(fix bandwidth ) starts.*/
			  /*So we use this bool valiable to ensure that fix bwd starts only when*/
			  /*all the nodes are asked*/
	int negative_pck; /*if we have a negative answer from a BBedge, negative==1*/

};

#endif // ns_DistributedBBbase_h
